{% extends 'accountent/base.html' %}
{% load i18n accountent %}

{% block page_subtitle %}{% trans "VAT" %}{% endblock page_subtitle %}
{% block page_title %}{% trans "Codes" %}{% endblock page_title %}


{% block header_button %}
<a href="{% url 'accountent:vat_code_list' %}" class="btn btn-primary">{% trans "New code" %}</a>
{% endblock header_button %}

{% block content %}
{% if object_list %}
<div id="DataTables_Table_0_wrapper" class="dataTables_wrapper no-footer mb-5">
    <div class="dataTables_length" id="DataTables_Table_0_length"><label>{% trans "Show" %} <select
                name="DataTables_Table_0_length" aria-controls="DataTables_Table_0">
                <option value="10">10</option>
                <option value="25">25</option>
                <option value="50">50</option>
                <option value="100">100</option>
            </select> {% trans "entries" %}</label></div>
    <div id="DataTables_Table_0_filter" class="dataTables_filter"><label>{% trans "Search" %}:<input type="search"
                class="" placeholder="" aria-controls="DataTables_Table_0"></label></div>
    <table class="transaction-history d-none dataTable no-footer dtr-inline collapsed table table-hover" id="DataTables_Table_0" role="grid" aria-describedby="DataTables_Table_0_info" style="width: 1155px;">
        <thead>
            <tr role="row">
                <th class="sorting_asc" tabindex="0" aria-controls="DataTables_Table_0" rowspan="1" colspan="1" aria-sort="ascending" aria-label="Code: activate to sort column descending">{% trans "Code" %}</th>
                <th class="sorting_asc" tabindex="0" aria-controls="DataTables_Table_0" rowspan="1" colspan="1" aria-sort="ascending" aria-label="Rate: activate to sort column descending">{% trans "Rate" %}</th>
                <th class="sorting_asc" tabindex="0" aria-controls="DataTables_Table_0" rowspan="1" colspan="1" aria-sort="ascending" aria-label="Description: activate to sort column descending">{% trans "Description" %}</th>
            </tr>
        </thead>
        <tbody>
            {% for vat_code in object_list %}
            <tr class="d-row align-item-center justify-content-start">
                <td>{{ vat_code }}</td>
                <td>{{ vat_code.rate|as_rate }}%</td>
                <td class="text-left">{{ vat_code.comment }}</td>
            </tr>
            {% empty %}
                <tr>
                <td colspan="6" class="text-center">No code exist</td>
                </tr>
            {% endfor %}
        </tbody>
    </table>
    <div class="dataTables_info" id="DataTables_Table_0_info" role="status" aria-live="polite">Showing 1 to 10 of 100
        entries</div>
    <div class="dataTables_paginate paging_simple_numbers" id="DataTables_Table_0_paginate"><a
            class="paginate_button previous disabled" aria-controls="DataTables_Table_0" data-dt-idx="0" tabindex="0"
            id="DataTables_Table_0_previous">Previous</a><span><a class="paginate_button current"
                aria-controls="DataTables_Table_0" data-dt-idx="1" tabindex="0">1</a><a class="paginate_button "
                aria-controls="DataTables_Table_0" data-dt-idx="2" tabindex="0">2</a><a class="paginate_button "
                aria-controls="DataTables_Table_0" data-dt-idx="3" tabindex="0">3</a><a class="paginate_button "
                aria-controls="DataTables_Table_0" data-dt-idx="4" tabindex="0">4</a><a class="paginate_button "
                aria-controls="DataTables_Table_0" data-dt-idx="5" tabindex="0">5</a><span class="ellipsis">…</span><a
                class="paginate_button " aria-controls="DataTables_Table_0" data-dt-idx="6" tabindex="0">10</a></span><a
            class="paginate_button next" aria-controls="DataTables_Table_0" data-dt-idx="7" tabindex="0"
            id="DataTables_Table_0_next">Next</a>
    </div>
</div>
{% else %}
<div class="error">
    <div class="error__content">
        <h2>{% trans "Oups!" %}</h2>
        <h3>{% trans "Where are your codes?" %}</h3>
        <p>{% trans "Click the button below to create some." %}</p>
        <a href="{% url 'accountent:vat_code_list' %}" type="button" class="btn btn-primary btn-pill">{% trans "New code" %}</a>
    </div>
</div>
{% endif %}
{% endblock content %}